--- manager.c	2004-04-05 06:23:53.000000000 -0500
+++ manager.c.new	2004-04-05 06:22:32.000000000 -0500
@@ -976,12 +976,22 @@
 	if(val)
 		block_sockets = ast_true(val);
 
+	if ((val = ast_variable_retrieve(cfg, "general", "port"))) {
+		if (sscanf(val, "%d", &portno) != 1) {
+			ast_log(LOG_WARNING, "Invalid port number '%s'\n", val);
+			portno = DEFAULT_MANAGER_PORT;
+		}
+	}
+	else 
 	if ((val = ast_variable_retrieve(cfg, "general", "portno"))) {
 		if (sscanf(val, "%d", &portno) != 1) {
 			ast_log(LOG_WARNING, "Invalid port number '%s'\n", val);
 			portno = DEFAULT_MANAGER_PORT;
 		}
+		ast_log(LOG_NOTICE, "Please use port='%s' in manager.conf instead of portno='%s'.\n", val, val);
 	}
+
+	
 	
 	ba.sin_family = AF_INET;
 	ba.sin_port = htons(portno);
